package com.huigou.topsun.technology.application;


import com.huigou.topsun.technology.domain.model.ProcessMaterialItem;

import java.util.List;

/**
* @author 16508
* @description 针对表【process_material_item(工序物料关系表)】的数据库操作Service
* @createDate 2023-11-22 11:04:03
*/
public interface ProcessMaterialItemApplication {

    ProcessMaterialItem saveProcessMaterialItem(ProcessMaterialItem processMaterialItem);

    void deleteByTechnologyProcessId(String technologyProcessId);

    void saveProcessMaterialItem(String processId, List<ProcessMaterialItem> processMaterialList);

    List<ProcessMaterialItem> slicedProcessMaterialItems(String processId);

    void deleteByIds(List<String> ids);

}
